/*
  Сервис интеграции ПП Парус 8 с WEB API
  Модели данных: описатели параметров функций корневого модуля сервера приложений (класс ParusAppServer)
*/

//----------------------
// Подключение библиотек
//----------------------

const Schema = require("validate"); //Схемы валидации
const { config } = require("./obj_config"); //Схемы валидации конфигурации сервера приложений

//------------------
//  Интерфейс модуля
//------------------

//Схема валидации параметров функции инициализации
exports.init = new Schema({
    //Конфигурация сервера приложений
    config: {
        schema: config,
        required: true,
        message: {
            required: "Не указаны параметры конфигурации сервера приложений (config)"
        }
    }
});
